Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class FacesBeanValidator

    java.lang.Object
      org.richfaces.validator.FacesBeanValidator

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.validator.Validator, org.richfaces.validator.GraphValidator

    public class FacesBeanValidator

extends Object
implements Serializable, javax.faces.validator.Validator, org.richfaces.validator.GraphValidator

Implementation of the JSF validator to use with Bean Validation / Hibernate validator TODO - implement partial state saving.

Author:
  asmirnov
See Also:
  Serialized Form

Field Summary
`static String` | `BEAN_VALIDATOR_TYPE`

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`FacesBeanValidator()`

Method Summary
`Class<?>[]` | `getGroups()`
`String` | `getSummary()`
`boolean` | `isValidateFields()`
`void` | `setGroups(Class<?>... profiles)`
`void` | `setGroups(javax.el.ValueExpression profilesExpression)`
`void` | `setSummary(String summary)`
`void` | `setSummary(javax.el.ValueExpression summary)`
`void` | `setValidateFields(boolean ignoreErrors)`
`void` | `validate(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object convertedValue)`
`Collection<String>` | `validateGraph(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value, Class<?>[] groups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN_VALIDATOR_TYPE

    public static final String BEAN_VALIDATOR_TYPE

See Also:
  Constant Field Values

Constructor Detail

### FacesBeanValidator

    public FacesBeanValidator()

Method Detail

### getSummary

    public String getSummary()

  Returns:
    the summary

### setSummary

    public void setSummary(javax.el.ValueExpression summary)

  Parameters:
    `summary` - the summary to set

### setSummary

    public void setSummary(String summary)

  Parameters:
    `summary` - the summary to set

### validate

    public void validate(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         Object convertedValue)
                  throws javax.faces.validator.ValidatorException

  Specified by:
    `validate` in interface `javax.faces.validator.Validator`
  Throws:
    `javax.faces.validator.ValidatorException`

### validateGraph

    public Collection<String> validateGraph(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component,
                                            Object value,
                                            Class<?>[] groups)
                                     throws javax.faces.validator.ValidatorException

  Specified by:
    `validateGraph` in interface `org.richfaces.validator.GraphValidator`
  Throws:
    `javax.faces.validator.ValidatorException`

### getGroups

    public Class<?>[] getGroups()

  Returns:
    the profiles

### setGroups

    public void setGroups(Class<?>... profiles)

  Parameters:
    `profiles` - the profiles to set

### setGroups

    public void setGroups(javax.el.ValueExpression profilesExpression)

### isValidateFields

    public boolean isValidateFields()

  Returns:
    the ignoreErrors

### setValidateFields

    public void setValidateFields(boolean ignoreErrors)

  Parameters:
    `ignoreErrors` - the ignoreErrors to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.